[FFmpeg-devel] [PATCH 1/2] tools/target_dec_fate.sh: print some statistics

Michael Niedermayer michael at niedermayer.cc
Sat Dec 29 03:35:18 EET 2018


Signed-off-by: Michael Niedermayer <michael at niedermayer.cc>
---
 tools/target_dec_fate.sh | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/tools/target_dec_fate.sh b/tools/target_dec_fate.sh
index 1fdfdcaaea..5e683676d1 100755
--- a/tools/target_dec_fate.sh
+++ b/tools/target_dec_fate.sh
@@ -43,6 +43,9 @@ test ! -d "$1"  && echo $1 is not an accessable directory && show_help
 test ! -f target_dec_fate.sh && echo $0 Must be run from its location && show_help
 grep 'CONFIG_OSSFUZZ 0' ../config.h && echo not configured for ossfuzz && show_help
 
+CACHED=0
+DOWNLOADED=0
+FAILED2DOWNLOAD=0
 #Download testcases
 while read -r LINE; do
     ISSUE_NUM=`echo $LINE | sed 's#/.*##'`
@@ -50,10 +53,12 @@ while read -r LINE; do
     FILE=`echo $LINE | sed 's# .*##'`
     if test -f "$1/$FILE" ; then
         echo exists       $FILE
+        CACHED=$((CACHED+1))
     else
         echo downloading  $FILE
         mkdir -p "$1/$ISSUE_NUM"
-        wget -O "$1/$FILE" "https://oss-fuzz.com/download?testcase_id=$FILE_ID" || rm "$1/$FILE"
+        wget -O "$1/$FILE" "https://oss-fuzz.com/download?testcase_id=$FILE_ID" || ( rm "$1/$FILE" ; FAILED2DOWNLOAD=$((FAILED2DOWNLOAD+1)) )
+        DOWNLOADED=$((DOWNLOADED+1))
     fi
 done < "$LIST"
 
@@ -75,4 +80,4 @@ while read -r LINE; do
     tools/$TOOL_ID $1/$FILE
 done < "tools/$LIST"
 
-echo OK
+echo OK cached:$CACHED downloaded:$DOWNLOADED failed to download:$FAILED2DOWNLOAD
-- 
2.20.1



More information about the ffmpeg-devel mailing list